<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackerRawDataCollectionIterator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_tracker_raw_data_collection_iterator.html">TrackerRawDataCollectionIterator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_tracker_raw_data_collection_iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackerRawDataCollectionIterator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:affe7d72a72f4e0ba06911b50537c6ae9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection_iterator.html#affe7d72a72f4e0ba06911b50537c6ae9">TrackerRawDataCollectionIterator</a> (int index, const <a class="el" href="namespaceeic.html#ae1a59b7272d199a61fb4feb836e0a47f">TrackerRawDataObjPointerContainer</a> *collection)</td></tr>
<tr class="separator:affe7d72a72f4e0ba06911b50537c6ae9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6d5e24cf67d495f876038ce67052b1d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection_iterator.html#aa6d5e24cf67d495f876038ce67052b1d">operator!=</a> (const <a class="el" href="classeic_1_1_tracker_raw_data_collection_iterator.html">TrackerRawDataCollectionIterator</a> &amp;x) const</td></tr>
<tr class="separator:aa6d5e24cf67d495f876038ce67052b1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca1541c388c6b5d310dace4f3629c4f7"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection_iterator.html#aca1541c388c6b5d310dace4f3629c4f7">operator*</a> () const</td></tr>
<tr class="separator:aca1541c388c6b5d310dace4f3629c4f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7573d92b3f819ce9814d80a9bef4b468"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection_iterator.html#a7573d92b3f819ce9814d80a9bef4b468">operator-&gt;</a> () const</td></tr>
<tr class="separator:a7573d92b3f819ce9814d80a9bef4b468"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e2f8f1f7e9b676e3f59ef2338447727"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_raw_data_collection_iterator.html">TrackerRawDataCollectionIterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data_collection_iterator.html#a6e2f8f1f7e9b676e3f59ef2338447727">operator++</a> () const</td></tr>
<tr class="separator:a6e2f8f1f7e9b676e3f59ef2338447727"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00029">29</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="affe7d72a72f4e0ba06911b50537c6ae9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affe7d72a72f4e0ba06911b50537c6ae9">&#9670;&nbsp;</a></span>TrackerRawDataCollectionIterator()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerRawDataCollectionIterator::TrackerRawDataCollectionIterator </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceeic.html#ae1a59b7272d199a61fb4feb836e0a47f">TrackerRawDataObjPointerContainer</a> *&#160;</td>
          <td class="paramname"><em>collection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00031">31</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa6d5e24cf67d495f876038ce67052b1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6d5e24cf67d495f876038ce67052b1d">&#9670;&nbsp;</a></span>operator!=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerRawDataCollectionIterator::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_raw_data_collection_iterator.html">TrackerRawDataCollectionIterator</a> &amp;&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00033">33</a> of file <a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00098">operator*()</a>, <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00108">operator++()</a>, and <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00103">operator-&gt;()</a>.</p>

</div>
</div>
<a id="aca1541c388c6b5d310dace4f3629c4f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca1541c388c6b5d310dace4f3629c4f7">&#9670;&nbsp;</a></span>operator*()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> eic::TrackerRawDataCollectionIterator::operator* </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00098">98</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<a id="a6e2f8f1f7e9b676e3f59ef2338447727"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e2f8f1f7e9b676e3f59ef2338447727">&#9670;&nbsp;</a></span>operator++()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_raw_data_collection_iterator.html">TrackerRawDataCollectionIterator</a> &amp; eic::TrackerRawDataCollectionIterator::operator++ </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00108">108</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<a id="a7573d92b3f819ce9814d80a9bef4b468"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7573d92b3f819ce9814d80a9bef4b468">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> * eic::TrackerRawDataCollectionIterator::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_collection_8cc_source.html#l00103">103</a> of file <a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_raw_data_collection_8h_source.html">TrackerRawDataCollection.h</a></li>
<li>src/<a class="el" href="_tracker_raw_data_collection_8cc_source.html">TrackerRawDataCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
